# QDomProcessingInstruction Class Reference

### [com.trolltech.qt.xml package]

Inherits QDomNode.

### Constructor

- void QDomProcessingInstruction()
- void QDomProcessingInstruction(QDomProcessingInstruction x)

### Constructor Properties

- prototype: The QDomProcessingInstruction prototype object

### Prototype Object Properties

The QDomProcessingInstruction prototype object inherits properties from the QDomNode prototype object and also has the following properties.

- String data()
- void setData(String d)
- String target()

### Instance Properties

QDomProcessingInstruction objects have no special properties beyond those inherited from the QDomProcessingInstruction prototype object.